org.apache.fontbox.ttf.gsub

## Class GsubWorkerForDevanagari

- java.lang.Object
- - org.apache.fontbox.ttf.gsub.GsubWorkerForDevanagari

All Implemented Interfaces:
  GsubWorker

    public class GsubWorkerForDevanagari
    extends Object
    implements GsubWorker

Devanagari-specific implementation of GSUB system

Author:
  JAVAUSER

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Integer>` `applyTransforms(List<Integer> originalGlyphIds)` Applies language-specific transforms including GSUB and any other pre or post-processing necessary for displaying Glyphs correctly.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### applyTransforms

    public List<Integer> applyTransforms(List<Integer> originalGlyphIds)

Description copied from interface: `GsubWorker`
Applies language-specific transforms including GSUB and any other pre or post-processing necessary for displaying Glyphs correctly.

Specified by:
  `applyTransforms` in interface `GsubWorker`
Parameters:
  `originalGlyphIds` - list of original glyph IDs
Returns:
  list of transformed glyph IDs